Role Name
=========

A role that installs min.io as a Docker Swarm stack, <https://min.io/>

Role Variables
--------------

The most important variables are listed below:

``` yaml
minio_compose_dir: '/srv/minio_stack'
minio_docker_stack_name: 'minio'
minio_access_key: 'use a vault'
minio_secret_key: 'use a vault'
minio_secrets:
  - { name: minio_access_key, data: '{{ minio_access_key }}' }
  - { name: minio_secret_key, data: '{{ minio_secret_key }}' }
minio_docker_service_server_name: 'minio'
minio_docker_server_image: 'quay.io/minio/minio'
minio_docker_network: 'distributed'
minio_docker_swarm_dnsrr: True
minio_server_instances:
  - 1
  - 2
  - 3
  - 4
  - 5
  - 6
  - 7
  - 8

#
minio_data_prefix: /minio
minio_volume_prefix: /min_io
minio_disk_volumes:
  - 3
  - 4
minio_behind_haproxy: True
minio_haproxy_public_net: 'haproxy-public'
# 
minio_keylocak_auth_url: http://localhost:8080/auth/
#minio_keycloak_client_secret: 'use a vault'
minio_keycloak_realm: 'realm'
minio_keycloak_client_name: 'minio_client_name'
minio_keycloak_client_id: 'minio_client_id'
```

Dependencies
------------

* Docker Swarm

License
-------

EUPL-1.2

Author Information
------------------

Andrea Dell'Amico, <andrea.dellamico@isti.cnr.it>
